From 4282eadc0af3061dc53a5bc1ffcdd51b03cc28c4 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Thu, 17 Nov 2022 11:58:42 +0100
Subject: [PATCH] fix MERGE tuple count with DO NOTHING

---
 src/backend/executor/nodeModifyTable.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/executor/nodeModifyTable.c b/src/backend/executor/nodeModifyTable.c
index d8fd3cfdbe..fe2b8e4bac 100644
--- a/src/backend/executor/nodeModifyTable.c
+++ b/src/backend/executor/nodeModifyTable.c
@@ -2805,7 +2805,7 @@ lmerge_matched:
 		{
 			case TM_Ok:
 				/* all good; perform final actions */
-				if (canSetTag)
+				if (canSetTag && commandType != CMD_NOTHING)
 					(estate->es_processed)++;
 
 				break;
-- 
2.30.2

